aboutsummaryrefslogtreecommitdiff
path: root/app/office/broffice
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-05 21:49:49 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-05 21:49:49 +0000
commitdb519a09bec18caa0650ad1ed3dcb4b76fd2d1ed (patch)
tree1a4355a52fb84cb1e6d20bf0bf25fcfd9f4d6572 /app/office/broffice
parenteaf6516554df7e0e5958e6e91cdd842fa6724933 (diff)
downloadslackbuilds-db519a09bec18caa0650ad1ed3dcb4b76fd2d1ed.tar.gz
slackbuilds-db519a09bec18caa0650ad1ed3dcb4b76fd2d1ed.tar.bz2
broffice: upgrade
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1139 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/office/broffice')
-rwxr-xr-xapp/office/broffice/broffice.SlackBuild206
1 files changed, 110 insertions, 96 deletions
diff --git a/app/office/broffice/broffice.SlackBuild b/app/office/broffice/broffice.SlackBuild
index 7e3d580c..729caa36 100755
--- a/app/office/broffice/broffice.SlackBuild
+++ b/app/office/broffice/broffice.SlackBuild
@@ -1,103 +1,115 @@
#!/bin/bash
#
-# slackbuild for kile, by Rudson R. Alves
-# requires: none
-# tested: broffice-2.1.0
-
-CWD=`pwd`
+# SlackBuild for broffice
+# http://ftp.unicamp.br/pub/broffice/stable/2.1.0/
+#
+# Author: Rudson R Alves
+#
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e ~/.slackbuildrc ]; then
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
-elif [ -e /etc/slackbuildrc ]; then
+elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="broffice.org.2.1.0.rpm.tar.bz2"
-MD5_ORIG="32b8b50821d090392c1b28d8f4b4dba4"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)\.org\.(.*)\.rpm\.(.*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)\.org\.(.*)\.rpm\.(.*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)\.org\.(.*)\.rpm\.(.*)$/\3/'`
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="broffice"
+PKG_NAME="broffice"
+ARCH=i586
+SRC_VERSION=${VERSION:=2.1.0}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/opt}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+#CONF_OPTIONS=${CONF_OPTIONS:=}
+
+SLACK_NEW=$( cat /etc/slackware-version | cut -d" " -f2 | egrep '(11.[1-9]|1[2-9].[0-9]).*$' )
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
-# ------- Códigos de erro para o createpkg --------------
+# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH="i586"
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE.org.$VERSION.rpm.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt/kde}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://ftp.unicamp.br/pub/broffice/stable/$VERSION/$SRC"}
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-mkdir -p $SRC_DIR/$PACKAGE 2>/dev/null
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- wget "$URL" -P "$SRC_DIR/$PACKAGE" || exit $ERROR_WGET
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_SRC" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="${SRC_NAME}.org.${SRC_VERSION}.rpm.tar.bz2"
+URL="http://ftp.unicamp.br/pub/broffice/stable/2.1.0/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- [ "$SUM" != "$MD5" ] && exit $ERROR_MD5
+# Download source's MD5 checksum if necessary and check it
+if [ ! -s "$SRC_DIR/md5sum.txt" ]; then
+ wget "${URL//$SRC}md5sum.txt" -O "$SRC_DIR/md5sum.txt" || exit $ERROR_WGET
fi
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC || exit $ERROR_TAR
-
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC"
-cd $PKG_DIR/RPMS
+MD5SUM_SRC="$(md5sum "$SRC_DIR/$SRC" | cut -d " " -f 1)"
+MD5SUM_URL="$(grep "$SRC[ \t]*$" "$SRC_DIR/md5sum.txt" | cut -d " " -f 1)"
+
+[ "$MD5SUM_SRC" == "$MD5SUM_URL" ] || exit $ERROR_MD5
+
+# Untar
+cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+
+cd $PKG_SRC/RPMS
# Converte pacotes rpm para tgz
ALLPKGS=$( ls *.rpm | wc -l )
j=1
for i in *.rpm; do
- rpm2tgz $i
- let j++
+ rpm2tgz $i
+ let j++
done
rm *.rpm 2>/dev/null
-# Converte links do KDE
+
+# Converte links to KDE
cd desktop-integration
rpm2tgz broffice.org-suse-menus*.rpm
rm *.rpm *.deb 2>/dev/null
-# Cria diretório de instalação
-PKG=$TMP/$PACKAGE
-rm -rf $PKG 2>/dev/null
-mkdir -p $PKG
-# Instala arquivos em $PKG_VERSION
+# Install
+# Install files in $PKG
tar xvf $( ls *.tgz ) -C $PKG || exit $ERROR_TAR
cd ..
-#j=1
for i in *.tgz; do
- tar xvf $i -C $PKG || exit $ERROR_TAR
- rm $i
-# let j++
+ tar xvf $i -C $PKG || exit $ERROR_TAR
done
-# Altera diretório do kde
+# Change KDE directory
mv $PKG/opt/kde3 $PKG/opt/kde
cd $PKG/usr/bin
@@ -122,26 +134,33 @@ ln -s ../../opt/broffice.org2.1/program/soffice soffice
cd $PKG/usr/share/applications
rm *
for i in $( ls ../../../opt/broffice.org2.1/share/xdg/* ); do
- NAME=$( echo $i | sed 's/.*xdg\/\(.*\.desktop\)$/\1/' )
- ln -s $i $NAME
+ NAME=$( echo $i | sed 's/.*xdg\/\(.*\.desktop\)$/\1/' )
+ ln -s $i $NAME
done
-# ----------------- Stripa código -----------------------
-cd $PKG
-#find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+if [ ! -z $SLACK_NEW ]; then
+ cp -a $PKG/opt/kde/* $PKG/usr/
+ cp -a $PKG/opt/gnome/* $PKG/usr/
+ rm -rf $PKG/opt/kde
+ rm -rf $PKG/opt/gnome
+fi
+
+# Install documentation
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $PKG_SRC/licenses/* $PKG/usr/doc/$PKG_NAME-$PKG_VERSION/
+cp -a $PKG_SRC/readmes/* $PKG/usr/doc/$PKG_NAME-$PKG_VERSION/
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler----------------------------------------------------|
broffice: BrOffice.org Versão $VERSION
broffice:
broffice: Pacote do BrOffice construído a partir do pacote rpm pelo
@@ -152,19 +171,14 @@ broffice: escritório disponível, composto por: Writer - editor; Calc - plani-
broffice: lha; Impress - apresentações; Draw - desenhos vetoriais; Math -
broffice: Editor de equações; Base - Banco de dados
broffice: URL: http://www.openoffice.org.br
-EOF
+EODESC
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_SRC/licenses/* $PKG_DOC
-cp $PKG_SRC/readmes/* $PKG_DOC
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
-# --------------- Constroi o pacote ---------------------
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- rm -rf $PKG $PKG_SRC
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
fi
+